{% extends 'base.html' %}
{% block title %}Projets{% endblock %}

{% load mathfilters %}

{% block body %}
    <div class="p-4">
        <h1 class="lead display-4">Make our planet green again !
            {% load static %}
            <img src="{% static 'img/img.png' %}" width="50"></h1>
        <p>Découvrez, évaluez et soutenez des projets pour le bien de notre planète ! Augmentez votre karma en aidant un
            beau projet
            à devenir réalité !</p>
        <form class="form-inline my-2 my-lg-0" action="{{ request.path }}" method="get">
            <input class="form-control mr-sm-2" name="search" type="search" placeholder="Recherche..."
                   aria-label="Recherche...">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Chercher un projet</button>
        </form>
    </div>

    <div class="p-3 pt-0">
        <div class="card-group wrapper" style="display: grid;grid-template-columns: repeat(3, 1fr); grid-gap: 10px;">
            {% for project in projects %}
                <div class="card pa-3" style="border: 2px solid lightgray; border-radius: 12px">
                    <div class="card-body">
                        <h5 class="card-title">{{ project.titre }}</h5>
                        <p><strong>Etat :</strong> {{ project.etat }}</p>
                        <p><strong>Karma :</strong> {{ project.karma }}</p>
                        <p class="card-text">{% autoescape off %}{{ project.description }}{% endautoescape %}</p>

                    </div>
                    <div class="card-footer bg-transparent border-0">
                        <div class="progress">
                            <div class="progress-bar bg-success" role="progressbar"
                                 style="width:{{ project.montant|div:project.montantMax|mul:100 }}%"
                                 aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        <p>{{ project.montant }} / <strong>{{ project.montantMax }}€</strong></p>
                        {% if user.is_authenticated %}
                            <a href="/projects/{{ project.id }}" class="btn btn-success">Voir le projet</a>
                        {% endif %}
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}